AOZ Studio Beta - Bug #855

Setting voices to 0 in the play command causes AOZ to freeze in Amiga manifest.

10/23/2021 12:17 AM - Brian Flanagan

Status: Resolved Start date: 10/22/2021
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B10) u16

Description

This example will freeze when Voices is set to 0 in Amiga mode.
It works fine in AOZ mode.

#manifest: "amiga"
P=Rnd (96)
If Manifest$="aoz" Then Delay#=0.1 Else Delay#=6
Rem Play a random sequence of notes (while changing voices)
For V=15 To 0 Step -1
Print V,P
P=Rnd (96) : Play V,P,Delay#
Next V
Print "Done Loop 1"
For V=0 To 15
Print V,P
P=Rnd (96) : Play V,P,Delay#
Next V
Print "Done Loop 2"

History

#1 - 12/10/2021 10:27 AM - Francois Lionet
- Status changed from New to Resolved

- Assignee set to Francois Lionet

Fixed!
